html {
  font-size: 0.625rem; /* 10px equivalent thanks to default of 16px */
}
html * {
  box-sizing: border-box;
}

body {
  background: #fff;
  color: #414141;
  font-family: Karla, monospace;
  font-size: 1.6rem; /* 16px equivalent */
  font-weight: 400;
  line-height: 1.2;
  padding: 4rem;
}

a {
  border-bottom: 0.2rem solid transparent;
  color: #0697ff;
  color: #0077cc;
  color: #2796e5;
  color: #1112de;
  text-decoration: none;
  transition: 0.3s ease all;
}

a:hover {
  border-bottom-color: inherit;
  transition: 0.1s ease all;
}
a:active {
  background: #414141;
  color: #fff;
  transition: 0s ease all;
}

/* form fields */
input,
textarea {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 2px solid #e5e5e5;
  padding: 0.8rem;
}
input:focus,
textarea:focus {
  outline: none;
  border-color: pink;
  z-index: 100;
}

button,
input[type='button'],
input[type='submit'],
.btn-link {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  position: relative;
  background: #fff;
  border: 0.1rem solid;
  border-radius: 0.3rem;
  color: #949494;
  border-color: #aab;
  border-color: #e5ddea;
  color: #757588;
  cursor: pointer;
  display: inline-block;
  font-family: inherit;
  margin: 1.2rem 1.2rem 1.2rem 0;
  padding: 0.6em 1.2em 0.8em 1.2em;
  text-align: center;
  transition: 0.3s ease all;
}
button.primary,
input[type='button'].primary,
input[type='submit'].primary,
.btn-link.primary {
  color: #2328ff;
}

button:hover,
input[type='button']:hover,
input[type='submit']:hover,
.btn-link:hover {
  border-color: #000;
  box-shadow: -3px 4px 0px 0px rgb(182, 184, 194);
  color: #000;

  transition: all 0.1s ease;
  -moz-transform: translateY(-0.3rem);
  -webkit-transform: translateY(-0.3rem);
  -ms-transform: translateY(-0.3rem);
  transform: translateY(-0.3rem);
}

button:active,
input[type='button']:active,
input[type='submit']:active,
.btn-link:active {
  color: #000;
  border-color: #000;
  transition: 0s ease all;
  background: #ebebeb;
  box-shadow: -1px 1px 0px 0px rgba(204, 204, 204, 1);

  -moz-transform: translateY(0px);
  -webkit-transform: translateY(0px);
  -ms-transform: translateY(0px);
  transform: translateY(0px);
}

button:active:focus,
input[type='button']:active:focus,
input[type='submit']:active:focus,
.btn-link:active:focus {
  outline: none;
}

button:disabled,
input[type='button']:disabled,
input[type='submit']:disabled,
.btn-link:disabled {
  color: #bbb;
  background: #f0f0f0;
  border-color: #f0f0f0;
}

button:disabled:hover,
input[type='button']:disabled:hover,
input[type='submit']:disabled:hover,
.btn-link:disabled:hover {
  cursor: default;
}

button:focus,
input[type='button']:focus,
input[type='submit']:focus,
.btn-link:focus {
  outline: 2px solid pink;
  z-index: 100;
}

.btn-link:not([href]) {
  background: transparent;
  border-color: transparent;
  color: #9c9b9b;
}

.btn-link .emoji {
  font-size: 1.2em;
  display: inline-block;
  position: relative;
  top: 2px;
}

/* hover fix when translating */
button::before,
input[type='button']::before,
input[type='submit']::before,
.btn-link::before {
  content: '';
  display: block;
  height: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}
button:hover::before,
input[type='button']:hover::before,
input[type='submit']:hover::before,
.btn-link:hover::before {
  top: 0.4rem;
  transition: all 0.1s ease;
}

h1 {
  font-size: 1.6em;
  font-weight: 400;
  margin: 0 0 0.8rem auto;
}

h2 {
  font-size: 1.35em;
  font-weight: 400;
  line-height: 1.15;
  margin: 0 0 3.6rem 0;
  margin-right: 10%;
}

h3 {
  color: #757588;
  font-size: 1.4em;
  margin: 6rem 0 2rem 0;
}

p {
  margin: 1.2em 0;
}

hr {
  margin: 6rem 0;
  border: none;
  border-top: 0.6rem solid #eae5f0;
  background: none;
  height: 0;
}

.page-wrapper {
  margin: 0 auto;
  max-width: 30em;
  position: relative;
  z-index: 100;
}

header {
  margin: 7rem 0;
  padding: 0;
  position: static;
}
header h1 {
  color: #34a1eb;
  color: #345678;
  font-size: 6rem;
  line-height: 1;
  margin-bottom: 24px;
}
header .my-name {
  font-weight: bold;
  font-size: 5rem;
}
header h2 {
  margin-bottom: 0;
  color: #f0616b;
}
header a {
  text-transform: lowercase;
}
header ul {
  list-style: none;
  list-style-type: none;
  margin: 0;
  padding: 0;
}
header .btn-link {
  margin-bottom: 0;
}

ul.external-links {
  margin-top: 1rem;
  padding: none;
}
ul.external-links li {
  display: inline-block;
  margin: 0;
  padding: 0;
}

main {
  margin: 2rem auto;
}

.contact-me-link {
  border-color: #f0616b;
  color: #f0616b;
}

.contact-me-link:hover {
  background: #f0616b;
  border-color: #f0616b;
  color: #fff;
}

@media only screen and (min-width: 40em) {
  main {
    width: 75%;
    margin: 0;
  }
}

@media only screen and (min-width: 50em) {
  body {
    font-size: 2rem;
    padding: 8rem 10rem;
  }

  header {
    margin-top: 4rem;
    margin-bottom: 10rem;
    position: relative;
  }

  header h2 {
    max-width: 66%;
  }

  hr {
    margin: 9.4rem 0;
  }
}

@media only screen and (min-width: 60em) {
  header {
    max-width: 45em;
    margin-left: auto;
    margin-right: auto;
  }
  header h2 {
    max-width: 70rem;
    width: 70rem;
  }

  .page-wrapper {
    margin: 0 auto;
    max-width: none;
  }

  main {
    margin-left: auto;
    margin-right: auto;
    max-width: 30em;
    position: relative;
  }

  h3 {
    border-top: 0.1rem solid #e5ddea;
    padding-top: 4rem;
  }

  footer {
    margin-left: auto;
    margin-right: auto;
    max-width: 30em;
  }
}
